// 
// 1 переменная объявленной с помощью var можно случайно повторно обявить с другими значениями что повлечет за собой сбой програмы и конфликта в консоли мы не заметим 
// переменная объявленной с помощью let можно записать какое-то значение которое можно  изменить и когда мы повторно обявим переменную в консоли появится сообщение что такая переменная уже занята. 
// переменная объявленной с помощью const, нельзя переназначить вы как бы говорите себе будущему и другим разработчикам,
// которые будут читать ваш код, что эту переменную изменять не следует, переменную созданную с помощью ключевого слова const,
// можно записать какое-то значение только один раз, болше его изменить будет нельзя.

// 2  Дело в том что объявлять переменную через var мы рискуем испортить код после
// так как переменную можно будет ошибочно повторно обявить с другими данными которая повлечет за собой збой всей програмы
// и сейчас принято в ECMAScript 6 и выше не применять оператор var) 


const userName = prompt('Имя');
if(!isNaN) {
	userName = prompt ("Повторите ввод!");
}

const userAge = prompt('Сколько вам лет ?');
if(isNaN(userAge)) {
	userAge = prompt(' Введите cколько вам лет числом! ');
}
else if ( userAge < 18 ) {
	alert('You are not allowed to visit this website');
}
else if (userAge >= 18 && userAge <=22 ) {
	let age = confirm('Are you sure you want to continue?');
	if(age == true) {
		alert('Welcome ' + userName);
	}
	else if(age == false){
		alert('You are not allowed to visit this website');
	}
}
else {
	alert('Welcome ' + userName);
}
console.log(userName);